#!/bin/bash

useradd node -md /home/node -s /usr/sbin/nologin

python3 install.py
python3 build.py

rm -r /var/www/html/*
mv www/public/* /var/www/html

mv api/api.service /etc/systemd/system
systemctl daemon-reload
systemctl enable api

systemctl stop api
mkdir /home/node/app
rm -r /home/node/app/*
mv api/dist /home/node/app
mv api/node_modules /home/node/app
systemctl start api
